Bug 1004073 - [abrt] evolution-3.6.4-3.fc18: e_color_to_value: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] evolution-3.6.4-3.fc18: e_color_to_value: Process /usr/bin/evolution w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:4f0c8727547ea02a7266feb462f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 16:46 EDT by alfa_pub
Modified: 2014-02-05 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (alfa_pub)


Attachments (Terms of Use)
File: backtrace (51.86 KB, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: cgroup (127 bytes, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: core_backtrace (36.14 KB, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: dso_list (25.22 KB, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: environ (2.62 KB, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 16:46 EDT, alfa_pub
no flags Details
File: maps (75.53 KB, text/plain)
2013-09-03 16:47 EDT, alfa_pub
no flags Details
File: open_fds (1.43 KB, text/plain)
2013-09-03 16:47 EDT, alfa_pub
no flags Details
File: proc_pid_status (796 bytes, text/plain)
2013-09-03 16:47 EDT, alfa_pub
no flags Details
File: var_log_messages (770 bytes, text/plain)
2013-09-03 16:47 EDT, alfa_pub
no flags Details

  None (edit)
Description alfa_pub 2013-09-03 16:46:09 EDT
Description of problem:
1) get an email with an attached vcard, send by an iphone
2) klick "view Inline" in the drop down menu
3) klick "Show Full vCard"
4) scoll down
5) get a segment fault

Version-Release number of selected component:
evolution-3.6.4-3.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: e_color_to_value
executable:     /usr/bin/evolution
kernel:         3.9.6-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 e_color_to_value at /usr/lib/evolution/3.6/libeutil.so
 #1 format_contact at /usr/lib/evolution/3.6/libecontacteditor.so
 #2 eab_contact_formatter_format_contact_sync at /usr/lib/evolution/3.6/libecontacteditor.so
 #3 emfe_vcard_inline_format at /usr/lib/evolution/3.6/modules/module-vcard-inline.so
 #4 e_mail_formatter_extension_format at /usr/lib/evolution/3.6/libemformat.so
 #5 e_mail_formatter_format_as at /usr/lib/evolution/3.6/libemformat.so
 #6 handle_mail_request at /usr/lib/evolution/3.6/libevolution-mail.so
 #7 run_in_thread at gsimpleasyncresult.c:869
 #8 io_job_thread at gioscheduler.c:162
 #10 g_thread_proxy at gthread.c:797
Comment 1 alfa_pub 2013-09-03 16:46:21 EDT
Created attachment 793351 [details]
File: backtrace
Comment 2 alfa_pub 2013-09-03 16:46:24 EDT
Created attachment 793352 [details]
File: cgroup
Comment 3 alfa_pub 2013-09-03 16:46:28 EDT
Created attachment 793353 [details]
File: core_backtrace
Comment 4 alfa_pub 2013-09-03 16:46:38 EDT
Created attachment 793355 [details]
File: dso_list
Comment 5 alfa_pub 2013-09-03 16:46:42 EDT
Created attachment 793356 [details]
File: environ
Comment 6 alfa_pub 2013-09-03 16:46:49 EDT
Created attachment 793357 [details]
File: exploitable
Comment 7 alfa_pub 2013-09-03 16:46:53 EDT
Created attachment 793358 [details]
File: limits
Comment 8 alfa_pub 2013-09-03 16:47:06 EDT
Created attachment 793359 [details]
File: maps
Comment 9 alfa_pub 2013-09-03 16:47:09 EDT
Created attachment 793360 [details]
File: open_fds
Comment 10 alfa_pub 2013-09-03 16:47:17 EDT
Created attachment 793361 [details]
File: proc_pid_status
Comment 11 alfa_pub 2013-09-03 16:47:20 EDT
Created attachment 793363 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-09-04 06:58:58 EDT
Thanks for a bug report. I tried to reproduce this with 3.9.91 with no luck, the contact is shown properly and evolution doesn't crash when I switch the vCard view type, and scroll the view. I guess the 3.9.91 is quite similar to 3.8.5 in Fedora 19, but it can be possible that the crash depends on actual data being stored in the vCard. Could you share the offending message, please? I would not attach it here, because it contains private information, but if you do not mind, send it directly to me, just name the Bug reference in the Subject, thus I'll not miss it. Alternatively, you can install a virtual machine with either Fedora 19 (and update it to latest evolution there, 3.8.5) or Fedora 20 pre-alpha and test it there yourself.
Comment 13 Fedora End Of Life 2013-12-21 09:33:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:21:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.